> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Mark a general chat conversation's results as seen



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/chat/general/history/{conversation_id}/seen
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/chat/general/history/{conversation_id}/seen:
    post:
      tags:
        - Chat API
      summary: Mark a general chat conversation's results as seen
      operationId: >-
        mark_general_chat_conversation_seen_endpoint_api_v1_chat_general_history__conversation_id__seen_post
      parameters:
        - in: path
          name: conversation_id
          required: true
          schema:
            format: uuid4
            title: Conversation Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarkConversationSeenResponse'
          description: Conversation results marked seen
        '401':
          description: Unauthorized
        '404':
          description: Conversation not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    MarkConversationSeenResponse:
      properties:
        notifications_read:
          title: Notifications Read
          type: integer
        sessions_seen:
          title: Sessions Seen
          type: integer
        success:
          title: Success
          type: boolean
      required:
        - sessions_seen
        - notifications_read
        - success
      title: MarkConversationSeenResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````